{
<% if node['docker_ce']['daemon']['cgroup_driver'] == 'systemd' %>
  "exec-opts": [
    "native.cgroupdriver=systemd"
  ]<%= ',' unless Array(node['docker_ce']['daemon']['registry_mirrors']).empty? %>
<% end %>
<% unless Array(node['docker_ce']['daemon']['registry_mirrors']).empty? %>
  "registry-mirrors": [
  <% Array(node['docker_ce']['daemon']['registry_mirrors']).each.with_index do |registry_mirror, index| %>
    <% separator = ',' %>
    <% if (index + 1) == Array(node['docker_ce']['daemon']['registry_mirrors']).size %>
      <% separator = '' %>
    <% end %>
    "<%= registry_mirror %>"<%= separator %>
  <% end %>
  ]
<% end %>
}
